<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/userIdEntryFragment">

    <fragment
        android:id="@+id/userIdEntryFragment"
        android:name="com.example.presentation.fragment.UserIdEntryFragment"
        android:label="fragment_user_id_entry"
        tools:layout="@layout/fragment_user_id_entry">
        <action
            android:id="@+id/action_userIdEntryFragment_to_personListFragment"
            app:destination="@id/personListFragment"
            app:enterAnim="@anim/slide_left"
            app:exitAnim="@anim/wait_anim"
            app:popEnterAnim="@anim/wait_anim"
            app:popExitAnim="@anim/slide_right" />
    </fragment>
    <fragment
        android:id="@+id/personListFragment"
        android:name="com.example.presentation.fragment.PersonListFragment"
        android:label="fragment_person_list"
        tools:layout="@layout/fragment_person_list">
        <action
            android:id="@+id/action_personListFragment_to_familyTreeFragment"
            app:destination="@id/familyTreeFragment"
            app:enterAnim="@anim/slide_left"
            app:exitAnim="@anim/wait_anim"
            app:popEnterAnim="@anim/wait_anim"
            app:popExitAnim="@anim/slide_right" />
        <argument
            android:name="userIdArg"
            app:argType="string" />
    </fragment>
    <fragment
        android:id="@+id/familyTreeFragment"
        android:name="com.example.presentation.fragment.FamilyTreeFragment"
        android:label="fragment_family_tree"
        tools:layout="@layout/fragment_family_tree">
        <argument
            android:name="userSurnameArg"
            app:argType="string" />
        <argument
            android:name="userIdArg"
            app:argType="string" />
    </fragment>


</navigation>